var fontSizeTiny = '11pt';
var fontSizeExtraSmall = '14pt'; 
var fontSizeSmall = '16pt';  

var spacingBase = 4; 
var spacingExtraSmall = spacingBase * 2;
var spacingSmall = spacingBase * 3; 
var inputBorderWidth = "1.5pt";

document.createElement('header');
document.createElement('section');
document.createElement('main');
document.createElement('article');
document.createElement('aside');
document.createElement('nav');
document.createElement('footer');

$(document).ready(function() {

	$('.form-input input').focus(function() {
		$(this).parent().css({'z-index':'5'}); 
		$(this).next().animate({
			'font-size' : fontSizeTiny,
			'top' : inputBorderWidth
		}, 250, function(){});
	}); 

	$('.form-input textarea').focus(function() {
		$(this).parent().css({'z-index':'5'}); 
		$(this).next().animate({
			'font-size' : fontSizeTiny,
			'top' : inputBorderWidth
		}, 250, function(){});
	}); 

	$('.form-input input').blur(function() {
		$(this).parent().css({'z-index':'2'}); 

		if ($(this).val() == ''){
			$(this).next().animate({
				'font-size' : fontSizeSmall,
				'top' : spacingExtraSmall + 'pt'
			}, 250, function(){});
		}
	}); 

	$('.form-input textarea').blur(function() {
		$(this).parent().css({'z-index':'2'}); 

		if ($(this).val() == ''){
			$(this).next().animate({
				'font-size' : fontSizeSmall,
				'top' : spacingExtraSmall + 'pt'
			}, 250, function(){});
		}
	}); 

	$('.form-input label').click(function(e) { 
		e.preventDefault(); 
		$(this).prev().focus();
	}); 

	$('.form-select label').click(function(e) { 
		e.preventDefault(); 
		$(this).siblings("input").first().focus();
	});
})
